#ifndef MYDC_H
#define MYDC_H

const int    RShadW      = 3;
const int    BShadH      = 2;
const int    PlusSize    = 10;
const int    ArrowLength = 9;
const int    ArrowWidth  = 6;

class TMyDC: public TDC {
public:
	void				RectangleOutline(TRect& rect);

	void           ShadowRectangle(TRect& rect, TBrush& fill, TPen& olpen, TBrush& shadow,
											 TSize& shadowbottleft = TSize(1, BShadH), TSize& shadowtopright = TSize(RShadW, 2));
	enum Direction {UP, DOWN, LEFT, RIGHT};
	void           Arrow(TPoint& pos, enum Direction);
	void           Plus(TPoint& pos);
};

#endif

